org.apache.xalan.templates

## Class ElemAttributeSet

- java.lang.Object
- - org.apache.xml.utils.UnImplNode
  - - org.apache.xalan.templates.ElemTemplateElement
    - - org.apache.xalan.templates.ElemUse
      - - org.apache.xalan.templates.ElemAttributeSet

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.transform.SourceLocator, XSLTVisitable, PrefixResolver, ExpressionNode, WhitespaceStrippingElementMatcher, org.w3c.dom.Document, org.w3c.dom.Element, org.w3c.dom.Node, org.w3c.dom.NodeList

      public class ElemAttributeSet
      extends ElemUse

  Implement xsl:attribute-set.

       &!ELEMENT xsl:attribute-set (xsl:attribute)*>
       &!ATTLIST xsl:attribute-set
         name %qname; #REQUIRED
         use-attribute-sets %qnames; #IMPLIED
       &

  See Also:
    attribute-sets in XSLT Specification, Serialized Form
  Usage:
    **For advanced use only**

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `QName` | `m_qname` The name attribute specifies the name of the attribute set.

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElemAttributeSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElemTemplateElement` | `appendChildElem(ElemTemplateElement newChild)` Add a child to the child list
    `void` | `execute(TransformerImpl transformer)` Apply a set of attributes to the element.
    `QName` | `getName()` Get the "name" attribute.
    `java.lang.String` | `getNodeName()` Return the node name.
    `int` | `getXSLToken()` Get an int constant identifying the type of element.
    `void` | `recompose(StylesheetRoot root)` This function is called during recomposition to control how this element is composed.
    `void` | `setName(QName name)` Set the "name" attribute.

    - ### Methods inherited from class org.apache.xalan.templates.ElemUse

      `applyAttrSets, getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

    - ### Methods inherited from class org.apache.xalan.templates.ElemTemplateElement

      `appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

    - ### Methods inherited from class org.apache.xml.utils.UnImplNode

      `adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_qname

          public QName m_qname

      The name attribute specifies the name of the attribute set.

  - ### Constructor Detail

    - #### ElemAttributeSet

          public ElemAttributeSet()

  - ### Method Detail

    - #### setName

          public void setName(QName name)

      Set the "name" attribute. The name attribute specifies the name of the attribute set.
      Parameters:
        `name` - Name attribute to set

    - #### getName

          public QName getName()

      Get the "name" attribute. The name attribute specifies the name of the attribute set.
      Returns:
        The name attribute of the attribute set

    - #### getXSLToken

          public int getXSLToken()

      Get an int constant identifying the type of element.
      Overrides:
        `getXSLToken` in class `ElemTemplateElement`
      Returns:
        Token ID of the element
      See Also:
        `Constants`

    - #### getNodeName

          public java.lang.String getNodeName()

      Return the node name.
      Specified by:
        `getNodeName` in interface `org.w3c.dom.Node`
      Overrides:
        `getNodeName` in class `ElemTemplateElement`
      Returns:
        The name of this element

    - #### execute

          public void execute(TransformerImpl transformer)
                       throws javax.xml.transform.TransformerException

      Apply a set of attributes to the element.
      Overrides:
        `execute` in class `ElemUse`
      Parameters:
        `transformer` - non-null reference to the the current transform-time state.
      Throws:
        `javax.xml.transform.TransformerException`

    - #### appendChildElem

          public ElemTemplateElement appendChildElem(ElemTemplateElement newChild)

      Add a child to the child list.
      Parameters:
        `newChild` - Child to be added to this node's list of children
      Returns:
        The child that was just added to the list of children
      Throws:
        `DOMException`

    - #### recompose

          public void recompose(StylesheetRoot root)

      This function is called during recomposition to control how this element is composed.
      Overrides:
        `recompose` in class `ElemTemplateElement`
      Parameters:
        `root` - The root stylesheet for this transformation.

Copyright © 2023 Apache XML Project. All Rights Reserved.